Skip to main content
GET
Obtiene un budget con su progreso

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json
id
string
required
category
object
required
budgetType
enum<string>
required
Available options:
expense,
income
amount
string
required
Example:

"4000.00"

repeat
enum<string>
required
Available options:
month,
year,
once,
week,
two_weeks
startDate
string
required
Example:

"2026-07-01"

repeatUntil
string | null
required
rolloverEnabled
boolean
required
accountId
string | null
required
period
object
required
spent
string
required

Gasto (o ingreso) real del ciclo.

Example:

"3500.00"

rollover
string
required

Rollover acumulado de ciclos previos (0 si off).

Example:

"500.00"

available
string
required

amount + rollover − spent.

Example:

"1000.00"

createdAt
string
required